## class osgDB::RegisterDotOsgWrapperProxy

> Proxy class for automatic registration of DotOsgWrappers with the Registry

### Public Methods

RegisterDotOsgWrapperProxy(osg::Object* proto, const std::string& name, const std::string& associates, DotOsgWrapper::ReadFunc readFunc, DotOsgWrapper::WriteFunc writeFunc, DotOsgWrapper::ReadWriteMode readWriteMode=DotOsgWrapper::READ_AND_WRITE)
~RegisterDotOsgWrapperProxy()

### Protected Fields

osg::ref_ptr<DotOsgWrapper> _wrapper

## Documentation

> Proxy class for automatic registration of DotOsgWrappers with the Registry

`RegisterDotOsgWrapperProxy(osg::Object* proto, const std::string& name, const std::string& associates, DotOsgWrapper::ReadFunc readFunc, DotOsgWrapper::WriteFunc writeFunc, DotOsgWrapper::ReadWriteMode readWriteMode=DotOsgWrapper::READ_AND_WRITE)`

`~RegisterDotOsgWrapperProxy()`

`osg::ref_ptr<DotOsgWrapper> _wrapper`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.